## libattean-perl 0.002

=== debian/changelog ===
libattean-perl (0.002-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add POD for many classes and roles.
    + Add Attean->negotiate_serializer method.
    + Wrap mutating methods in a single bulk-update.
    + Move RDF::Query algebra translator to AtteanX::RDFQueryTranslator.
    + Update Attean->get_serializer to support media_type argument.
    + Change media_type attributes to class methods in Serializer
      classes.
    + Switched from Sub::Name to Sub::Util.

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on libhttp-negotiate-perl
    + (Build-)depend on recent libscalar-list-utils-perl (not
      libsub-name-perl).
    + Tighten to (build-)depend on recent liburi-namespacemap-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2014 23:57:26 +0200

libattean-perl (0.001-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#763313.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Oct 2014 16:51:14 +0200
