=== debian/control ===
Source: libattean-perl
Section: perl
Priority: optional
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 libossp-uuid-perl,
 libdatetime-format-w3cdtf-perl,
 libhttp-negotiate-perl,
 libiri-perl,
 libset-scalar-perl,
 libsub-install-perl,
 libtry-tiny-perl,
 libtype-tiny-perl,
 liburi-perl,
 libnamespace-clean-perl,
 libmoo-perl (>= 1.006000),
 librdf-query-perl (>= 2.910),
 liburi-namespacemap-perl (>= 0.12),
 libscalar-list-utils-perl (>= 1:1.40),
 perl (>= 5.14),
 libtest-exception-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libattean-perl
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libattean-perl.git
Homepage: http://search.cpan.org/dist/Attean/

Package: libattean-perl
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Description: semantic web framework
 Attean provides APIs for parsing, storing, querying, and serializing
 Semantic Web (RDF and SPARQL) data.
