=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2014 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Attean
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_PACKAGE = Attean
DEB_UPSTREAM_URL = http://www.cpan.org/authors/id/G/GW/GWILLIAMS

# Needed by upstream build and (always/often) at runtime
perl-deps = ossp-uuid datetime-format-w3cdtf http-negotiate iri
perl-deps += set-scalar sub-install try-tiny type-tiny uri
perl-deps += namespace-clean
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
deps +=, libmoo-perl (>= 1.006000)
deps +=, librdf-query-perl (>= 2.910)
deps +=, liburi-namespacemap-perl (>= 0.12)
deps +=, libscalar-list-utils-perl (>= 1:1.40)
deps +=, perl (>= 5.14)

# Needed by upstream testsuite
deps-test = libtest-exception-perl

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-test)
CDBS_DEPENDS_$(pkg) = $(deps)

# install binaries as sample files (and only as such)
DEB_INSTALL_EXAMPLES_$(pkg) += bin
install/$(pkg)::
	rm $(cdbs_curdestdir)usr/bin/*
	rmdir $(cdbs_curdestdir)usr/bin
