## libattean-perl 0.007

=== debian/changelog ===
libattean-perl (0.007-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add Attean::API::Binding->apply_bindings to bind additional
      variables.
    + Add Attean::API::Binding->is_ground.
    + Add Attean::API::TriplePattern->as_triple,
      Attean::API::QuadPattern->as_quad.
    + Fix Attean plugin loading to allow non-plugins nested below the
      plugin namespace.
    + Add evaluation support for REGEX functions.
    + Improve SPARQL serialization for IRIs and triple patterns.
    + Improve SPARQL serialization of OPTIONAL and boolean literals.
    + POD improvements.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Jul 2015 16:56:48 +0200

libattean-perl (0.006-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add Attean->acceptable_parsers method.
    + Add methods to test terms and variables for common term role
      consumption.
    + Add Attean::API::DirectedAcyclicGraph->has_only_subtree_types method.
    + Improve documentation.
    + Fix handling of blank nodes in BGPs in Attean::IDPQueryPlanner.
    + Update Attean::IDPQueryPlanner->join_plans API to allow easier
      extensibility.
    + Update attean_query to use the IDPQueryPlanner.
    + Add HSP heuristics to Attean::IDPQueryPlanner.
    + Disable stable sortint in Attean::IDPQueryPlanner where it is
      unnecessary.

  [ Jonas Smedegaard ]
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jun 2015 09:59:29 -0500

libattean-perl (0.005-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for myself.
  * Update package relations:
    + Build-depend on libtest-lwp-useragent-perl and libtest-roo-perl.
    + (Build-)depend on libmath-cartesian-product-perl.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jun 2015 11:25:42 -0500

libattean-perl (0.003-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add count estimate methods to TripleStore QuadStore roles.
    + Add missing algebra_as_string impelementations in
      Attean::API::Query and Attean::Algebra.
    + Add tree_attributes methods to tree classes.
    + Add Attean::TreeRewriter class.
    + Split Cacheable roles into ETagCacheable and TimeCacheable
      variants.
    + Fixed method name typo in Attean::API::TimeCacheableTripleStore.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Feb 2015 12:04:30 +0100
