=== debian/control ===
--- 
+++ 
@@ -15,12 +15,15 @@
  libtype-tiny-perl,
  liburi-perl,
  libnamespace-clean-perl,
+ libmath-cartesian-product-perl,
  libmoo-perl (>= 1.006000),
  librdf-query-perl (>= 2.910),
  liburi-namespacemap-perl (>= 0.12),
  libscalar-list-utils-perl (>= 1:1.40),
  perl (>= 5.14),
- libtest-exception-perl
+ libtest-exception-perl,
+ libtest-lwp-useragent-perl,
+ libtest-roo-perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Standards-Version: 3.9.6
