=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2014 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2014-2015 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Attean
 #
 # This program is free software; you can redistribute it and/or modify
@@ -26,10 +26,14 @@
 DEB_UPSTREAM_PACKAGE = Attean
 DEB_UPSTREAM_URL = http://www.cpan.org/authors/id/G/GW/GWILLIAMS
 
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
+
 # Needed by upstream build and (always/often) at runtime
 perl-deps = ossp-uuid datetime-format-w3cdtf http-negotiate iri
 perl-deps += set-scalar sub-install try-tiny type-tiny uri
-perl-deps += namespace-clean
+perl-deps += namespace-clean math-cartesian-product
 deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
 deps +=, libmoo-perl (>= 1.006000)
 deps +=, librdf-query-perl (>= 2.910)
@@ -38,7 +42,8 @@
 deps +=, perl (>= 5.14)
 
 # Needed by upstream testsuite
-deps-test = libtest-exception-perl
+perl-deps-test = exception lwp-useragent roo
+deps-test = $(patsubst %,$(comma) libtest-%-perl,$(perl-deps-test))
 
 CDBS_BUILD_DEPENDS +=, $(deps), $(deps-test)
 CDBS_DEPENDS_$(pkg) = $(deps)
