## libattean-perl 0.012

=== debian/changelog ===
libattean-perl (0.012-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add Attean::API::TermOrVariable->apply_binding method.
    + Add AtteanX::Store::SimpleTripleStore.
    + Die on attempts to add non-ground triples/quads to stores.
    + Fix Attean::Algebra::Table to consume
      Attean::API::NullaryQueryTree instead of
      Attean::API::UnaryQueryTree.
    + Fix type checks performed when ATTEAN_TYPECHECK is set.
    + Improve error reporting for unexpected EOF in
      AtteanX::Parser::SPARQL.
    + Throw an error when Triple or Quad objects gets passed a variable.
    + Add planning support for DESCRIBE queries.
    + Add type checking to store get_triples and get_quads methods.
    + Add logging in QueryPlanner and TreeRewriter.
    + Avoid attempting to parse empty XML documents when passed in as a
      scalar.
    + Fix Attean::CodeIterator type checking to handle non-blessed items
      properly.
    + Fix AtteanX::Parser::RDFXML to properly use caller-supplied base
      IRI.
    + Fix algebra generation for describe queries in SPARQL parser.
    + Fix bug in Attean::Plan::Aggregate handling of COUNT(*) queries.
    + Fix bugs in SPARQL CSV and TSV serializers.
    + Fix sparql_tokens generation for integer and datatyped literals.
    + Fixed AtteanX::Parser::SPARQL to maintain its URI::NamespaceMap on
      prefix declarations.
    + Improve POD and test coverage.
    + Improve attean_parse and attean_parse including preservation of
      prefix declarations where possible.
    + Improve regex escaping in t/algebra.t to silence warnings in perl
      5.22.
    + Improve use of SPARQL and Turtle token objects.
    + Improve triple model classes to allow adding and dropping triple
      store graphs.
    + Merge code paths for canonical NTriples serializer.
    + Preserve in-scope variables in result iterators.
    + Serialize SPARQL/XML bindings in a stable order.
    + Simplify cost estimation code for hash joins in
      Attean::API::QueryPlanner.
    + Update SPARQL parser to die on unimplemented Update syntax.
    + Update SPARQL/HTML serializer to implement AbbreviatingSerializer.
    + Update turtle serializer to consume
      Attean::API::AppendableSerializer.
    + Update prerequisites in Makefile.PL and .travis.yml.
    + Use Test::Modern.

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on libalgorithm-combinatorics-perl
      libfile-slurp-perl libjson-perl libwww-perl liblist-moreutils-perl
      libmodule-pluggable-perl libtext-csv-perl libxml-sax-perl.
    + Build-depend on libmoose-perl.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.
  * Declare compliance with Debian Policy 3.9.7.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Feb 2016 04:48:10 +0100

libattean-perl (0.011-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add initial implementation for Attean::MutableTripleModel.
    + Add logging of costs to query planner (#56 from KjetilK).
    + Add use of MooX::Log::Any (from KjetilK).
    + Add Attean::API::Plan->subplans_of_type_are_variable_connected
      method.
    + Add Attean::API::Plan->children_are_variable_connected.
    + Add AtteanX::Parser::SPARQL->parse convenience method.
    + Add RDF/XML parser tests.
    + Add Turtle serializer.
    + Add exportable quadpattern constructor.
    + Add tests for get_sequence model accessor method (#3).
    + Change API for Attean::API::CostPlanner->cost_for_plan to pass in
      the query planner.
    + Fix bug in handling unbound join variables in hash join
      evaluation.
    + Fix use of blank and variable shortcut constructors.
    + Fix AtteanX::Serializer::SPARQLHTML->serialize_iter_to_bytes bug.
    + Implement canonicalize method for triple and quad patterns.
    + Improve Attean::ExistsExpression->as_string.
    + Improve cost estimation for cartesian joins in
      Attean::API::QueryPlanner.
    + Improve SPARQL serialization of algebra and expression trees.
    + Improve error handling in Attean::ListIterator->BUILD.
    + Improve recognition of invalid aggregation queries.
    + Make regexes used for prefixname parsing publicly accessibly.
    + Merge shared constants for Turtle and SPARQL tokens.
    + Move subpatterns_of_type from Attean::API::Algebra to
      Attean::API::DirectedAcyclicGraph.
    + Rename parse_term_from_string methods to parse_term_from_bytes
      (adding delegating methods to be deprecated in the future).
    + Silence XML::Parser warnings on empty input documents.
    + Update AtteanX::Parser::RDFXML to populate a namespace map during
      parsing.
    + Update Attean::API::CanonicalizingBindingSet to produce same
      object type as input.
    + Update copyright years.

  [ Jonas Smedegaard ]
  * Fix watch file to handle version prefix.
  * Update copyright info:
    + Extend copyright for main upstream author to cover recent years.
  * Update package relations: (Build-)depend on libmoox-log-any-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Jan 2016 12:07:02 +0530

libattean-perl (0.010-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add INVOKE function expression to allow representing IRI-defined
      functions.
    + Add Attean::API::Algebra methods blank_nodes and
      subpatterns_of_type.
    + Add Attean::API::SimpleCostPlanner.
    + Add Attean::API::UnionScopeVariablesPlan role to handle common
      computation of in-scope variables.
    + Add Attean::Algebra::Sequence class.
    + Add AtteanX::API::JoinRotatingPlanner role.
    + Add SPARQL parsing support for RANK operator.
    + Add initial algebra and plan support for group ranking.
    + Add simple SPARQL HTML serializer.
    + Add simple SPARQL serializer implementation.
    + Add ability to turn some query algebras into SPARQL token
      interators.
    + Compute in-scope variables in Attean::Plan::Quad instead of
      relying on calling code.

