=== debian/control ===
--- 
+++ 
@@ -5,28 +5,39 @@
  devscripts,
  debhelper,
  dh-buildinfo,
+ libalgorithm-combinatorics-perl,
  libossp-uuid-perl,
  libdatetime-format-w3cdtf-perl,
+ libfile-slurp-perl,
  libhttp-negotiate-perl,
  libiri-perl,
+ libjson-perl,
+ libwww-perl,
+ liblist-moreutils-perl,
+ libmath-cartesian-product-perl,
+ libmodule-pluggable-perl,
+ libmoox-log-any-perl,
  libset-scalar-perl,
  libsub-install-perl,
+ libtext-csv-perl,
  libtry-tiny-perl,
  libtype-tiny-perl,
  liburi-perl,
+ libxml-sax-perl,
  libnamespace-clean-perl,
- libmath-cartesian-product-perl,
  libmoo-perl (>= 1.006000),
  librdf-query-perl (>= 2.910),
+ libscalar-list-utils-perl (>= 1:1.40),
  liburi-namespacemap-perl (>= 0.12),
- libscalar-list-utils-perl (>= 1:1.40),
  perl (>= 5.14),
  libtest-exception-perl,
  libtest-lwp-useragent-perl,
- libtest-roo-perl
+ libtest-modern-perl,
+ libtest-roo-perl,
+ libmoose-perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libattean-perl
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libattean-perl.git
 Homepage: http://search.cpan.org/dist/Attean/
