=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2014-2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2014-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Attean
 #
 # This program is free software; you can redistribute it and/or modify
@@ -31,19 +31,22 @@
 CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # Needed by upstream build and (always/often) at runtime
-perl-deps = ossp-uuid datetime-format-w3cdtf http-negotiate iri
-perl-deps += set-scalar sub-install try-tiny type-tiny uri
-perl-deps += namespace-clean math-cartesian-product
+perl-deps = algorithm-combinatorics ossp-uuid datetime-format-w3cdtf
+perl-deps += file-slurp http-negotiate iri json www list-moreutils
+perl-deps += math-cartesian-product module-pluggable moox-log-any
+perl-deps += set-scalar sub-install text-csv try-tiny type-tiny uri
+perl-deps += xml-sax namespace-clean
 deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
 deps +=, libmoo-perl (>= 1.006000)
 deps +=, librdf-query-perl (>= 2.910)
+deps +=, libscalar-list-utils-perl (>= 1:1.40)
 deps +=, liburi-namespacemap-perl (>= 0.12)
-deps +=, libscalar-list-utils-perl (>= 1:1.40)
 deps +=, perl (>= 5.14)
 
 # Needed by upstream testsuite
-perl-deps-test = exception lwp-useragent roo
+perl-deps-test = exception lwp-useragent modern roo
 deps-test = $(patsubst %,$(comma) libtest-%-perl,$(perl-deps-test))
+deps-test +=, libmoose-perl
 
 CDBS_BUILD_DEPENDS +=, $(deps), $(deps-test)
 CDBS_DEPENDS_$(pkg) = $(deps)
