=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://www.cpan.org/authors/id/G/GW/GWILLIAMS/Attean-v([\d.]+)\.tar\.gz
https://metacpan.org/release/Attean .*/Attean-v([\d.]+)\.tar\.gz
