## libattean-perl 0.017

=== debian/changelog ===
libattean-perl (0.017-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    0.014
    + Add a size estimate attribute to Attean::Plan::Iterator.
    + Add Attean::Plan::Iterator for cases where there is too much data
      for Attean::Plan::Table.
    + Add ability for parsers to construct lazy IRIs.
    + Add type checking to serialize_iter_* methods.
    + Added Attean::ListIterator->size method.
    + Fix cases where result iterators were constructed without a
      variables list.
    + Improve error message generated for some SPARQL syntax errors.
    + Update Attean::FunctionExpression to canonicalize ISURI to ISIRI.
    0.015
    + Fix metadata used to generate README files.
    0.016
    + Port RDF::Trine::Serializer::RDFXML to AtteanX::Serializer::RDFXML.
    + Add serialization of SPARQL PREFIX declarations and prefixnames
      when namespaces are set.
    + Add Test::Attean::QuadStore->cleanup_store method.
    + Add Test::Attean::StoreCleanup role and add store cleanup to store
      tests.
    + Change Attean::TriplePattern->as_quadpattern to delegate to
      Attean::API::TriplePattern->as_quad_pattern.
    + Fix overly aggressive code that attempted to turn IRIs into prefix
      names during Turtle serialization.
    + Fix bug in SPARQL parsing of NIL tokens.
    + Fixes to POD, test, and metadata issues.
    + Improve Attean::SimpleQueryEvaluator to handle updated algebra
      classes and iterator API.
    + Improve test suite.
    + Remove AtteanX::RDFQueryTranslator (split into a new package) and
      all other references to RDF::Query.
    + Remove default implementation of Attean::API::Term->ebv (now
      required of consumers).
    + Serialize SPARQL and Turtle namespace declarations in a stable
      order.
    + Update Attean::API::AbbreviatingParser->base definition to be a
      consumer of Attean::API::IRI.
    + Update Attean::API::SPARQLSerializable->as_sparql to return a
      unicode string, not bytes.
    0.017
    + Port SPARQL-JSON serializer to Attean.
    + Add a .gitignore file.
    + Change use of binmode to "use open" in attean_parse and
      attean_query.
    + Fix Construct plan string serialization.
    + Fix declared arity of various algebra classes.
    + Fix bug in handling of restricted available named graphs during
      query planning.
    + Fix documentation in Attean::QueryPlanner.
    + Improve handling of unexpected EOF in AtteanX::Parser::SPARQL.
    + Improve test coverage.
    + Improve use of Travis CI (#100 from @cakirke).
    + Make parse_term_from_string deprecations noisy.
    + Remove default implementation of Attean::API::Plan->plan_as_string.
    + Update SPARQL parser to produce Attean::Algebra::Reduced algebra
      objects for REDUCED queries.
    + Update required versions of Moo and Test::Modern.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Build-depend on libplack-perl libregexp-common-perl
      libxml-simple-perl.
    + (Build-)depend on recent librole-tiny-perl.
    + Tighten and also depend (not only build-depend) on
      libtest-modern-perl.
    + Also depend (not only build-depend) on libmoose-perl
      libtest-roo-perl.
    + Tighten (build-)dependency on libiri-perl libmoo-perl.
    + Stop (build-)depend on libfile-sharedir-perl librdf-query-perl.
  * Declare compliance with Debian Policy 3.9.8.
  * Update git-buildpackage config: Filter any .gitignore file.
  * Git-ignore quilt .pc dir.
  * Add patch 1001 to fix regex in UUID test.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Jun 2016 10:27:43 +0200

libattean-perl (0.013-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add role Attean::API::BulkUpdatableStore.
    + Add methods Attean::API::MutableModel->load_urls_into_graph
      Attean::API::QuadPattern->as_triple_pattern
      Attean::API::TripleOrQuadPattern->parse
      AtteanX::Parser::SPARQL->parse_nodes
    + Add Attean::Algebra::Query to indicate a full query trees and aid
      in serialization.
    + Add constructor AtteanX::SPARQL::Token->integer.
    + Add parsing, algebra, planning, and test support for SPARQL 1.1
      Updates.
    + Add and use flag Attean::Algebra::Query->subquery when appropriate
      and stop generating needless unary join algebras.
    + Add child accessor to Attean::API::UnaryQueryTree.
    + Add CONTRIBUTING file.
    + Allow producing short blank node labels in attean_query results.
    + Check types of invocant and model objects in calls to
      cost_for_plan planning method.
    + Fix Attean::API::IDPJoinPlanner->cost_for_plan to pass the planner
      object in calls to the model.
    + Fix Attean::Algebra::Update->blank_nodes.
    + Fix Attean::QueryPlanner active_graphs argument during recursive
      call to plans_for_algebra.
    + Fix lost in-scope variables in aggregation algebra and plans.
    + Fix result iterator generation for quad patterns to keep
      associated variable names.
    + Fix serialization of SILENT flag on Service queries.
    + Fix sparql_tokens generation for quad patterns to use SPARQL GRAPH
      syntax, not N-Quads syntax.
    + Fix return rdf:langString (not rdf:string) for language literals
      in Attean::Literal.
    + Improve error messages in Attean::CodeIterator and
      Attean::API::Binding.
    + Improve errors and logging in SPARQL parser.
    + Improve handling of utf8 encoding in SPARQL/XML, algebra, and plan
      serializations.
    + Improve temporary variable names in aggregates generated during
      parsing.
    + Improve Attean::Plan::Union to handle plans with zero children.
    + Improve error message in query planners.
    + Pass tree depth as argument to algebra_as_string.
    + Refactor SPARQL 1.1 test harness into a testing role.
    + Update bin/attean_query to allow dryruns to avoid generating query
      plans when appropriate.
    + Update attean_query to allow updates.

  [ Jonas Smedegaard ]

