=== debian/control ===
Source: libattean-perl
Section: perl
Priority: optional
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 libalgorithm-combinatorics-perl,
 libossp-uuid-perl,
 libdatetime-format-w3cdtf-perl,
 libfile-slurp-perl,
 libhttp-negotiate-perl,
 libjson-perl,
 libwww-perl,
 liblist-moreutils-perl,
 libmath-cartesian-product-perl,
 libmodule-pluggable-perl,
 libmoox-log-any-perl,
 libset-scalar-perl,
 libsub-install-perl,
 libmoose-perl,
 libtest-roo-perl,
 libtext-csv-perl,
 libtry-tiny-perl,
 libtype-tiny-perl,
 liburi-perl,
 libxml-sax-perl,
 libnamespace-clean-perl,
 libiri-perl (>= 0.005),
 libmoo-perl (>= 2.000002),
 librole-tiny-perl (>= 2.000003),
 libtest-modern-perl (>= 0.012),
 libscalar-list-utils-perl (>= 1:1.40),
 liburi-namespacemap-perl (>= 0.12),
 perl (>= 5.14),
 libtest-exception-perl,
 libtest-lwp-useragent-perl,
 libplack-perl,
 libregexp-common-perl,
 libxml-simple-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libattean-perl
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libattean-perl.git
Homepage: http://search.cpan.org/dist/Attean/

Package: libattean-perl
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Description: semantic web framework
 Attean is a Perl framework for working with RDF data and SPARQL
 queries. It features parsers and serializers for many different RDF
 formats including RDF/XML, Turtle, N-Triples and N-Quads, as well as
 SPARQL formats like SPARQL-XML, SPARQL-JSON, SPARQL-CSV and SPARQL-TSV.
 .
 Attean features support for SPARQL 1.1 queries, and a set of APIs and
 command line tools to parse, transform, query, and serialize RDF data.
 .
 SPARQL is an RDF query language, that is, a semantic query language for
 databases, able to retrieve and manipulate data stored in Resource
 Description Framework format.
 .
 Resource Description Framework (RDF) is a standard model for data
 interchange on the Web.
