=== debian/rules ===
--- 
+++ 
@@ -32,21 +32,23 @@
 
 # Needed by upstream build and (always/often) at runtime
 perl-deps = algorithm-combinatorics ossp-uuid datetime-format-w3cdtf
-perl-deps += file-slurp http-negotiate iri json www list-moreutils
-perl-deps += math-cartesian-product module-pluggable moox-log-any
-perl-deps += set-scalar sub-install text-csv try-tiny type-tiny uri
-perl-deps += xml-sax namespace-clean
+perl-deps += file-slurp http-negotiate json www
+perl-deps += list-moreutils math-cartesian-product module-pluggable
+perl-deps += moox-log-any set-scalar sub-install moose test-roo
+perl-deps += text-csv try-tiny type-tiny uri xml-sax namespace-clean
 deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
-deps +=, libmoo-perl (>= 1.006000)
-deps +=, librdf-query-perl (>= 2.910)
+deps +=, libiri-perl (>= 0.005)
+deps +=, libmoo-perl (>= 2.000002)
+deps +=, librole-tiny-perl (>= 2.000003)
+deps +=, libtest-modern-perl (>= 0.012)
 deps +=, libscalar-list-utils-perl (>= 1:1.40)
 deps +=, liburi-namespacemap-perl (>= 0.12)
 deps +=, perl (>= 5.14)
 
 # Needed by upstream testsuite
-perl-deps-test = exception lwp-useragent modern roo
+perl-deps-test = exception lwp-useragent
 deps-test = $(patsubst %,$(comma) libtest-%-perl,$(perl-deps-test))
-deps-test +=, libmoose-perl
+deps-test +=, libplack-perl, libregexp-common-perl, libxml-simple-perl
 
 CDBS_BUILD_DEPENDS +=, $(deps), $(deps-test)
 CDBS_DEPENDS_$(pkg) = $(deps)
