=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
http://www.cpan.org/authors/id/G/GW/GWILLIAMS/Attean-(\d.+)\.tar\.gz
https://metacpan.org/release/Attean .*/Attean-(\d.+)\.tar\.gz
