## libattean-perl 0.019

=== debian/changelog ===
libattean-perl (0.019-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    0.018
    + Add tests for turtle parser escape handling.
    + Allow UUIDs to have lowercase hex digits.
    + Documentation fixes.
    + Fix as_string serialization of CONSTRUCT algebras.
    + Improve code coverage for Attean::TermMap.
    + Improve to HashJoin query planning.
    + Remove LICENSE file and update licensing statement in individual
      modules.
    + Update Makefile.PL for perl 5.26.
    + Update required version of IRI.
    + Use Moo::Role instead of namespace::clean to cleanup namespaces.
    0.019
    + Documentation updates.
    + Fix incorrect URI for langString.
      Closes: Bug#890245. Thanks to Kjetil Kjernsmo.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend copyright for main upstream author to cover recent years.
  * Drop patch 1001: Fixed upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Feb 2018 14:13:22 +0100

libattean-perl (0.017-2) unstable; urgency=medium

  * Update watch file:
    + Watch only MetaCPAN URL.
    + Mention gbp --uscan in usage comment.
    + Tighten version regex.
  * Update package relations:
    + Relax to suggest (not depend on) libmoose-perl libtest-modern-perl
      libtest-roo-perl.
    + Relax to (build-)depend unversioned on libscalar-list-utils-perl
      liburi-namespacemap-perl perl: Needed versions satisfied even in
      oldstable.
  * Modernize cdbs:
    + Drop get-orig-source target: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
    + Stop build-depend on devscripts.
  * Update watch file: Use substitution strings.
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) in path.
    + Consistently include .git suffix in path.
  * Declare compliance with Debian Policy 4.1.1.
  * Add DEP-3 headers to patch.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Oct 2017 15:48:53 +0200
