=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: perl
 Priority: optional
 Build-Depends: cdbs,
- devscripts,
+ perl,
  debhelper,
  dh-buildinfo,
  libalgorithm-combinatorics-perl,
@@ -16,33 +16,32 @@
  libmath-cartesian-product-perl,
  libmodule-pluggable-perl,
  libmoox-log-any-perl,
+ libscalar-list-utils-perl,
  libset-scalar-perl,
  libsub-install-perl,
- libmoose-perl,
- libtest-roo-perl,
  libtext-csv-perl,
  libtry-tiny-perl,
  libtype-tiny-perl,
  liburi-perl,
+ liburi-namespacemap-perl,
  libxml-sax-perl,
  libnamespace-clean-perl,
  libiri-perl (>= 0.005),
  libmoo-perl (>= 2.000002),
  librole-tiny-perl (>= 2.000003),
- libtest-modern-perl (>= 0.012),
- libscalar-list-utils-perl (>= 1:1.40),
- liburi-namespacemap-perl (>= 0.12),
- perl (>= 5.14),
  libtest-exception-perl,
  libtest-lwp-useragent-perl,
  libplack-perl,
  libregexp-common-perl,
- libxml-simple-perl
+ libxml-simple-perl,
+ libmoose-perl,
+ libtest-roo-perl,
+ libtest-modern-perl (>= 0.012)
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libattean-perl
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libattean-perl.git
+Standards-Version: 4.1.3
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libattean-perl.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-perl/packages/libattean-perl.git
 Homepage: http://search.cpan.org/dist/Attean/
 
 Package: libattean-perl
@@ -50,6 +49,7 @@
 Depends: ${cdbs:Depends},
  ${misc:Depends},
  ${perl:Depends}
+Sugests: ${cdbs:Suggests},
 Description: semantic web framework
  Attean is a Perl framework for working with RDF data and SPARQL
  queries. It features parsers and serializers for many different RDF
@@ -65,3 +65,8 @@
  .
  Resource Description Framework (RDF) is a standard model for data
  interchange on the Web.
+ .
+ Some modules require additional packages:
+  * Test::Attean::* require the packages libmoose-perl libtest-roo-perl.
+  * Test::Attean::SPARQLSuite instead requires the packages
+    libtest-roo-perl libtest-modern-perl.
