=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2014-2017 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Attean
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

# Needed by upstream build and (always) at runtime
perl-deps = algorithm-combinatorics ossp-uuid datetime-format-w3cdtf
perl-deps += file-slurp http-negotiate json www list-moreutils
perl-deps += math-cartesian-product module-pluggable moox-log-any
perl-deps += scalar-list-utils set-scalar sub-install text-csv try-tiny
perl-deps += type-tiny uri uri-namespacemap xml-sax namespace-clean
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
deps +=, libiri-perl (>= 0.005)
deps +=, libmoo-perl (>= 2.000002)
deps +=, librole-tiny-perl (>= 2.000003)

# Needed by upstream testsuite
perl-deps-test = exception lwp-useragent
deps-test = $(patsubst %,$(comma) libtest-%-perl,$(perl-deps-test))
deps-test +=, libplack-perl, libregexp-common-perl, libxml-simple-perl

# Needed by upstream testsuite and (seldom) at runtime
deps-test-suggest = libmoose-perl, libtest-roo-perl
deps-test-suggest +=, libtest-modern-perl (>= 0.012)

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-test), $(deps-test-suggest)
CDBS_DEPENDS_$(pkg) = $(deps)
CDBS_SUGGESTS_$(pkg) = $(deps-test-suggest)

# install binaries as sample files (and only as such)
DEB_INSTALL_EXAMPLES_$(pkg) += bin
install/$(pkg)::
	rm $(cdbs_curdestdir)usr/bin/*
	rmdir $(cdbs_curdestdir)usr/bin
