## libattean-perl 0.021

=== debian/changelog ===
libattean-perl (0.021-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Add Attean::API::Model->algebra_holds method.

  [ Jonas Smedegaard ]
  * Simplify rules.
  * Update watch file: Rewrite usage comment.
  * Update copyright info: Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 Feb 2019 12:33:15 +0100

libattean-perl (0.020-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.020.
  * Add (build) dependency on libexporter-tiny-perl.
  * Declare compliance with Debian Policy 4.3.0.
  * Mark package as autopkgtest-able.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Jan 2019 19:41:49 +0100

libattean-perl (0.019-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.
  * debian/*: update GitHub URLs to use HTTPS.

  [ Jonas Smedegaard ]
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Use short-form dh sequencer (not cdbs).
      Stop build-depend on cdbs.
  * Fix suggest libmoose-perl libtest-roo-perl libtest-modern-perl.
  * Skip testsuite build-dependencies, to ease bootstrapping.
  * Wrap and sort control file.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Stop build-depend on dh-buildinfo.
  * Update copyright info: Extend coverage of packaging.
  * Update watch file: Fix typo in usage comment.
  * Fix hashbang of example scripts.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Nov 2018 23:57:15 +0100
