=== debian/rules ===
#!/usr/bin/make -f

# avoid binaries (installed as sample files instead)
override_dh_install:
	dh_install
	rm debian/lib*/usr/bin/*
	rmdir debian/lib*/usr/bin

override_dh_installexamples:
	dh_installexamples
	find debian/lib*/usr/share/doc/*/examples -type f -print0 | \
		xargs -r0 sed -i -e '1s|^#!/usr/bin/env perl|#!/usr/bin/perl|'

%:
	dh $@
