## libattean-perl 0.025

=== debian/changelog ===
libattean-perl (0.025-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Joenio Costa ]
  * declare compliance with Debian Policy 4.4.0
  * debian/copyright: update upstream copyright year
  * debhelper-compat = 12
  * create upstream metadata file
  * debian/rules: 'rm -f' to avoid confirmation when building package

  [ Jonas Smedegaard ]
  * build-depend on libtest-requires-perl

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Dec 2019 04:49:15 +0100
