=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: perl
 Priority: optional
 Build-Depends:
- debhelper,
+ debhelper-compat (= 12),
  libalgorithm-combinatorics-perl,
  libdatetime-format-w3cdtf-perl,
  libexporter-tiny-perl,
@@ -27,6 +27,7 @@
  libtest-exception-perl <!nocheck>,
  libtest-lwp-useragent-perl <!nocheck>,
  libtest-modern-perl (>= 0.012) <!nocheck>,
+ libtest-requires-perl <!nocheck>,
  libtest-roo-perl <!nocheck>,
  libtext-csv-perl,
  libtry-tiny-perl,
@@ -40,7 +41,7 @@
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libattean-perl.git
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libattean-perl
 Homepage: https://metacpan.org/release/Attean
