## libattean-perl 0.026

=== debian/changelog ===
libattean-perl (0.026-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.5.0
  * build-depend on librdf-trine-perl

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Feb 2020 14:34:05 +0100
