=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  libnamespace-clean-perl,
  libossp-uuid-perl,
  libplack-perl <!nocheck>,
+ librdf-trine-perl <!nocheck>,
  libregexp-common-perl <!nocheck>,
  librole-tiny-perl (>= 2.000003),
  libscalar-list-utils-perl,
@@ -41,7 +42,7 @@
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libattean-perl.git
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libattean-perl
 Homepage: https://metacpan.org/release/Attean
