=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # avoid binaries (installed as sample files instead)
 override_dh_install:
 	dh_install
-	rm debian/lib*/usr/bin/*
+	rm -f debian/lib*/usr/bin/*
 	rmdir debian/lib*/usr/bin
 
 override_dh_installexamples:
