## libattean-perl 0.030

=== debian/changelog ===
libattean-perl (0.030-2) unstable; urgency=medium

  * fix break older libatteanx-serializer-rdfa-perl;
    closes: bug#982801, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Feb 2021 17:39:40 +0100

libattean-perl (0.030-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Feb 2021 21:28:09 +0100

libattean-perl (0.029-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright: update coverage
  * relax to (build-)depend unversioned
    on libiri-perl libmoo-perl librole-tiny-perl libtest-modern-perl:
    Needed version satisfied
    in all actively maintained branches of Debian

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Feb 2021 15:03:22 +0100

libattean-perl (0.028-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * (build-)depend on
    libperlio-layers-perl libtext-table-perl libuuid-tiny-perl
    (not libossp-uuid-perl)
  * annotate test-only build-dependencies
  * declare compliance with Debian Policy 4.5.1
  * update source script copyright-check
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Feb 2021 15:02:53 +0100
