=== debian/control ===
--- 
+++ 
@@ -2,47 +2,49 @@
 Section: perl
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
- libalgorithm-combinatorics-perl,
- libdatetime-format-w3cdtf-perl,
- libexporter-tiny-perl,
- libfile-slurp-perl,
- libhttp-negotiate-perl,
- libiri-perl (>= 0.005),
- libjson-perl,
- liblist-moreutils-perl,
- libmath-cartesian-product-perl,
- libmodule-pluggable-perl,
- libmoo-perl (>= 2.000002),
+ debhelper-compat (= 13),
+ libalgorithm-combinatorics-perl <!nocheck>,
+ libdatetime-format-w3cdtf-perl <!nocheck>,
+ libexporter-tiny-perl <!nocheck>,
+ libfile-slurp-perl <!nocheck>,
+ libhttp-negotiate-perl <!nocheck>,
+ libiri-perl <!nocheck>,
+ libjson-perl <!nocheck>,
+ liblist-moreutils-perl <!nocheck>,
+ libmath-cartesian-product-perl <!nocheck>,
+ libmodule-pluggable-perl <!nocheck>,
+ libmoo-perl <!nocheck>,
  libmoose-perl <!nocheck>,
- libmoox-log-any-perl,
- libnamespace-clean-perl,
- libossp-uuid-perl,
+ libmoox-log-any-perl <!nocheck>,
+ libnamespace-clean-perl <!nocheck>,
+ libperlio-layers-perl <!nocheck>,
  libplack-perl <!nocheck>,
  librdf-trine-perl <!nocheck>,
  libregexp-common-perl <!nocheck>,
- librole-tiny-perl (>= 2.000003),
- libscalar-list-utils-perl,
- libset-scalar-perl,
- libsub-install-perl,
+ librole-tiny-perl <!nocheck>,
+ libscalar-list-utils-perl <!nocheck>,
+ libset-scalar-perl <!nocheck>,
+ libsub-install-perl <!nocheck>,
  libtest-exception-perl <!nocheck>,
  libtest-lwp-useragent-perl <!nocheck>,
- libtest-modern-perl (>= 0.012) <!nocheck>,
+ libtest-modern-perl <!nocheck>,
  libtest-requires-perl <!nocheck>,
  libtest-roo-perl <!nocheck>,
- libtext-csv-perl,
- libtry-tiny-perl,
- libtype-tiny-perl,
- liburi-namespacemap-perl,
- liburi-perl,
- libwww-perl,
- libxml-sax-perl,
+ libtext-csv-perl <!nocheck>,
+ libtext-table-perl <!nocheck>,
+ libtry-tiny-perl <!nocheck>,
+ libtype-tiny-perl <!nocheck>,
+ liburi-namespacemap-perl <!nocheck>,
+ liburi-perl <!nocheck>,
+ libuuid-tiny-perl <!nocheck>,
+ libwww-perl <!nocheck>,
+ libxml-sax-perl <!nocheck>,
  libxml-simple-perl <!nocheck>,
  perl,
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libattean-perl.git
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libattean-perl
 Homepage: https://metacpan.org/release/Attean
@@ -56,24 +58,26 @@
  libexporter-tiny-perl,
  libfile-slurp-perl,
  libhttp-negotiate-perl,
- libiri-perl (>= 0.005),
+ libiri-perl,
  libjson-perl,
  liblist-moreutils-perl,
  libmath-cartesian-product-perl,
  libmodule-pluggable-perl,
- libmoo-perl (>= 2.000002),
+ libmoo-perl,
  libmoox-log-any-perl,
  libnamespace-clean-perl,
- libossp-uuid-perl,
- librole-tiny-perl (>= 2.000003),
+ libperlio-layers-perl,
+ librole-tiny-perl,
  libscalar-list-utils-perl,
  libset-scalar-perl,
  libsub-install-perl,
  libtext-csv-perl,
+ libtext-table-perl,
  libtry-tiny-perl,
  libtype-tiny-perl,
  liburi-namespacemap-perl,
  liburi-perl,
+ libuuid-tiny-perl,
  libwww-perl,
  libxml-sax-perl,
  ${misc:Depends},
@@ -81,8 +85,10 @@
  libalgorithm-combinatorics-perl,
 Suggests:
  libmoose-perl,
- libtest-modern-perl (>= 0.012),
+ libtest-modern-perl,
  libtest-roo-perl,
+Breaks:
+ libatteanx-serializer-rdfa-perl (<< 0.100-2~),
 Description: semantic web framework
  Attean is a Perl framework
  for working with RDF data and SPARQL queries.
